using System;
using Server;
using Server.Misc;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a seahorse corpse" )]
	public class Seahorse : BaseCreature
	{
		public override TimeSpan ReacquireDelay { get { return TimeSpan.FromSeconds( 1.0 ); } }

		[Constructable]
		public Seahorse() : base( AIType.AI_Mage, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "a seahorse";
			Body = 335;
			Hue = Utility.RandomList( 0x49A, 0x49B );
			CanSwim = true;
			CantWalk = true;
			BaseSoundID = 0x39D;

			SetStr( 296, 325 );
			SetDex( 296, 325 );
			SetInt( 296, 325 );

			SetHits( 218, 235 );

			SetDamage( 17, 25 );

			SetSkill( SkillName.Concentration, 80.0 );
			SetSkill( SkillName.Magery, 80.0 );
			SetSkill( SkillName.MagicResist, 80.0 );
			SetSkill( SkillName.Tactics, 80.0 );
			SetSkill( SkillName.HandToHand, 80.0 );

			Fame = 8000;
			Karma = 8000;

			VirtualArmor = 50;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Average );
		}

		public override int Meat{ get{ return 10; } }
		public override MeatType MeatType{ get{ return MeatType.Fish; } }
		public override int Hides{ get{ return 10; } }
		public override bool BleedImmune{ get{ return true; } }

		public Seahorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}